Download it now!
Bug 91009 - Correct thousands separator character for locale es_CR
Summary: Correct thousands separator character for locale es_CR
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.0.0 target:4.4.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-02 06:42 UTC by Severo Raz
Modified: 2015-08-12 18:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Severo Raz 2015-05-02 06:42:00 UTC
In Costa Rica, a space is used as group separator. You can verify this here: http://es.wikipedia.org/wiki/Wikipedia_discusi%C3%B3n:Manual_de_estilo/N%C3%BAmeros#Costa_Rica .

In LibreOffice, currently a period is used as group separator. Please correct this in the es_CR locale.
Comment 1 Julien Nabet 2015-05-02 08:23:54 UTC
Indeed, i18npool/source/localedata/es_CR.xml shows "." for thousand separtors, see http://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/es_CR.xml#136.
Comment 2 Commit Notification 2015-05-02 08:32:32 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78ef368b8ca6fb53b67330c305f8c2c581cbf68e

tdf#91009: Correct thousands separator character for locale es_CR

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2015-05-04 11:18:12 UTC
That change needs to be reworked, please see my comments in https://gerrit.libreoffice.org/15593
Comment 4 Julien Nabet 2015-05-04 11:57:15 UTC
Thank you Eike for your feedback, I'll take a look at it.
Comment 5 Eike Rathke 2015-05-04 12:54:36 UTC
@Severo:
My Spanish isn't good enough to follow the Wiki discussion ;-) but you may also want to get the change into the Unicode Common Locale Data Repository (CLDR), see http://cldr.unicode.org/ and http://cldr.unicode.org/index/bug-reports

Currently the group separator for es_CR is listed as '.' at http://www.unicode.org/cldr/charts/latest/by_type/numbers.symbols.html so for example also programs using ICU locales use it for number formatting, see https://ssl.icu-project.org/icu-bin/locexp?d_=en&_=es_CR
Comment 6 Commit Notification 2015-05-05 11:57:39 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa06ce15fdd68983001ef33d1931fbaf6b515282

Related tdf#91009: Correct thousands separator character for locale es_CR

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-05-05 21:48:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=021943dad044076c10b9b032d4e0b243e64f631c&h=libreoffice-4-4

tdf#91009: Correct thousands separator character for locale es_CR

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Severo Raz 2015-05-25 08:28:26 UTC
Thank you for your prompt action Julien Nabet!
Comment 9 Severo Raz 2015-05-25 08:35:07 UTC
(In reply to Eike Rathke from comment #5)
> @Severo:
> My Spanish isn't good enough to follow the Wiki discussion ;-) but you may
> also want to get the change into the Unicode Common Locale Data Repository

Sure thing, I reported the ticket; thank you for your suggestion! http://unicode.org/cldr/trac/ticket/8551
Comment 10 Severo Raz 2015-08-12 18:41:19 UTC
The people at the unicode.org tracker have acknowledged the information and will fix their database.

I can confirm that in LO 5.0.0.5 this issue is fixed.